Subject: Re: [USB] powerpc: Workaround for the PPC440EPX USBH_23 errata [take 3]

From: Vitaly Bordug <[email-masked]>
Date: Sun, 9 Nov 2008 19:40:00 +0100

В Mon, 3 Nov 2008 09:51:55 -0500 (EST)
Alan Stern <[email-masked]> пишет:

> On Mon, 3 Nov 2008, Vitaly Bordug wrote:
> 
> > A published errata for ppc440epx states, that when running Linux
> > with both EHCI and OHCI modules loaded, the EHCI module experiences
> > a fatal error when a high-speed device is connected to the USB2.0,
> > and functions normally if OHCI module is not loaded.
> > 
> > There used to be recommendation to use only hi-speed or full-speed
> > devices with specific conditions, when respective module was
> > unloaded. Later, it was observed that ohci suspend is enough to
> > keep things going, and it was turned into workaround, as explained
> > below.
> 
> Please fix this patch so that it does not cause a build error on
> non-PowerPC architectures.
Sorry for the late reply, I was travelling last week.

The latest patch was of course compile-tested with x86 and across
different powerpcs, and apparently inlined patch was not the latest one,
differing in that one little hunk. That was me confusing branches in
a hurry- big thanks for catching this.

Proper code (with explicit nop in non-ppc case) will follow right away.

-Vitaly